/* ///////////////////////////////////////////// */
/* MAP AND GENERAL */
/* ///////////////////////////////////////////// */

body {
  margin: 0;
  padding: 0;
}

#map {
  position: absolute;
  top: 0;
  bottom: 0;
  width: 100%;
}

*:focus {
  outline: none;
}

.leaflet-tooltip-pane {
  z-index: 9999;
}

@media only screen and (max-width: 600px) {
  .leaflet-left {
    left: 0;
    max-width: 150px;
  }
}

/* ///////////////////////////////////////////// */
/* OVERLAY */
/* ///////////////////////////////////////////// */

.overlay {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.2);
  z-index: 2000;
  backdrop-filter: contrast(100%) blur(25px);
  -webkit-backdrop-filter: contrast(100%) blur(25px);
  -moz-backdrop-filter: contrast(100%) blur(25px);
  -ms-backdrop-filter: contrast(100%) blur(25px);
  gap: unset;
  font-family: "Work Sans", sans-serif;
  font-weight: 300;
  color: #383838;
  transition: all 2s cubic-bezier(0.22, 1, 0.36, 1);
}

.hidden {
  opacity: 0;
  bottom: -50%;
  transition: all 2s cubic-bezier(0.22, 1, 0.36, 1);
}

.overlay-content {
  bottom: 0;
  right: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 30px;
}

.overlay h1 {
  margin: unset;
  padding: unset;
  font-weight: normal;
  font-family: "Rubik", sans-serif;
  font-size: 1.5em;
  font-weight: 500;
  padding-bottom: 0.5em;
  text-shadow: 1px 1px 3px rgba(255, 255, 255, 0.25);
}

.overlay p {
  font-size: 1.25em;
  text-align: center;
  width: 75%;
  margin: unset;
  padding: unset;
  text-shadow: 1px 1px 3px rgba(255, 255, 255, 0.25);
  margin-top: 1em;
  margin-bottom: 1em;
}

.overlay a {
  font-size: 1.25em;
  background-color: #ffffff !important;
  padding: 10px 20px !important;
  text-decoration: none !important;
  border: none !important;
  border-radius: 4px !important;
  color: #000000;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.15) !important;
}

.overlay a:hover {
  background-color: #d83900 !important;
  color: #ffffff;
  cursor: pointer;
}

.overlay .emphase {
  color: #ff4300 !important;
  font-weight: 500;
}

.overlay .progress {
  margin: unset;
  padding: unset;
  width: 100%;
  max-width: 50%;
  border: unset;
  height: 10px;
  margin-top: 1em;
  margin-bottom: 1em;
}

.overlay .progress .progress-bar {
  height: 100%;
  width: 0%;
  background-color: #ff4300;
  border-radius: 50px;
  animation: progress-bar-animation 5s;
}

@keyframes progress-bar-animation {
  from {
    width: 0%;
  }

  to {
    width: 100%;
  }
}

.help-button {
  position: absolute;
  right: 10px;
  bottom: 10px;
  padding: 6px 10px !important;
  width: auto;
  background-color: #ffffff !important;
  z-index: 1000;
  border-radius: 4px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-family: "Work Sans", sans-serif;
	font-size: 0.9rem;
  color: #000000;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.15) !important;
}

.help-button:hover {
  color: #ffffff !important;
  background: rgba(216, 57, 0, 1) !important;
  cursor: pointer;
}

.help-button a,
.help-button a:hover {
  text-decoration: none;
  color: inherit;
}

/* ///////////////////////////////////////////// */
/* LEAFLET ALL CONTROLS */
/* ///////////////////////////////////////////// */

.leaflet-control {
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.15) !important;
}

/* ///////////////////////////////////////////// */
/* ZOOM CONTROL BUTTON */
/* ///////////////////////////////////////////// */

.leaflet-touch .leaflet-bar a:first-child {
  border-top-left-radius: 4px !important;
  border-top-right-radius: 4px !important;
}

.leaflet-touch .leaflet-bar a:last-child {
  border-bottom-left-radius: 4px !important;
  border-bottom-right-radius: 4px !important;
}

/* ///////////////////////////////////////////// */
/* STEP POPUP */
/* ///////////////////////////////////////////// */

.step-popup {
  font-size: 0.9em;
  max-width: 200px;
}

.step-popup img {
  width: 100%;
  height: 110px;
  border-radius: 5px 5px 0px 0px;
  object-fit: cover;
}

.step-popup h1,
h2,
h3,
h4,
h5 {
  font-size: 1.35em;
  line-height: 1.15em;
  padding: 0px;
  margin: 0px;
  padding-top: 5px;
  padding-bottom: 5px;
}

.step-popup p {
  padding: 0px;
  margin: 0px;
}

.step-popup a {
  background-color: #ff4300 !important;
  padding: 7px 13px !important;
  width: 100% !important;
  color: #ffffff !important;
  text-decoration: none !important;
  border: none !important;
  border-radius: 5px !important;
  font-size: 1em;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

.step-popup a:hover {
  background-color: #d83900 !important;
  cursor: pointer;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

.step-popup .leaflet-step-popup-content {
  padding: 15px;
  padding-bottom: 20px;
}

.step-popup .leaflet-popup-content {
  overflow: hidden;
  padding: 2px;
}

.step-popup .leaflet-popup-content-wrapper .leaflet-popup-content {
  padding: 0px;
  margin: 0px;
  background-color: transparent;
  border: none;
  box-shadow: none;
}

.step-popup .leaflet-popup-content-wrapper {
  padding: 0px;
  margin: 0px;
  background: rgba(255, 255, 255, 0.7);
  backdrop-filter: contrast(100%) blur(10px);
  -webkit-backdrop-filter: contrast(100%) blur(10px);
  -moz-backdrop-filter: contrast(100%) blur(10px);
  -ms-backdrop-filter: contrast(100%) blur(10px);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  border: none;
  border-radius: 5px;
}

.step-popup .leaflet-popup-close-button {
  display: none;
  visibility: hidden;
}

.step-popup .leaflet-popup-tip-container {
  width: 40px;
  height: 20px;
  position: absolute;
  left: 50%;
  margin-top: 0px;
  margin-left: -20px;
  overflow: hidden;
  pointer-events: none;
}

.step-popup .leaflet-popup-tip {
  background: rgba(255, 255, 255, 0.5);
  backdrop-filter: contrast(100%) blur(10px);
  -webkit-backdrop-filter: contrast(100%) blur(10px);
  -moz-backdrop-filter: contrast(100%) blur(10px);
  -ms-backdrop-filter: contrast(100%) blur(10px);
  box-shadow: 0 6px 30px rgba(0, 0, 0, 0.1);
}

/* ///////////////////////////////////////////// */
/* START - FINISH POPUP */
/* ///////////////////////////////////////////// */

.start-finish-popup {
  font-size: 0.9em;
  max-width: 200px;
  border-radius: 5px;
}

.start-finish-popup img {
  width: 100%;
  height: 110px;
  border-radius: 5px 5px 0px 0px;
  object-fit: cover;
}

.start-finish-popup h3 {
  text-align: center;
  padding: 0px;
  margin: 0px;
  font-size: 1.15em;
  line-height: 1.25em;
  font-weight: normal;
}

.start-finish-popup h4 {
  text-align: center;
  padding: 0px;
  margin: 0px;
  font-size: 0.75em;
  line-height: 1em;
  font-weight: normal;
}

.start-finish-popup h5 {
  text-align: center;
  padding: 0px;
  margin: 0px;
  font-size: 0.75em;
  line-height: 0.8em;
  font-weight: normal;
}

.start-finish-popup p {
  padding: 0px;
  margin: 0px;
}

.start-finish-popup a {
  background-color: #d83900 !important;
  padding: 7px 13px !important;
  width: 100% !important;
  color: #ffffff !important;
  text-decoration: none !important;
  border: none !important;
  border-radius: 4px !important;
  font-size: 1em;
}

.start-finish-popup a:hover {
  background-color: #ff4300 !important;
  cursor: pointer;
}

.start-finish-popup .leaflet-start-finish-popup-content {
  padding: 15px;
}

.start-finish-popup .leaflet-popup-content-wrapper .leaflet-popup-content {
  padding: 0px;
  margin: 0px;
  background-color: transparent;
  border: none;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

.start-finish-popup .leaflet-popup-content-wrapper {
  padding: 0px;
  margin: 0px;
  background: #d83900 !important;
  color: #ffffff;
  border: none;
  border-radius: 5px;
  box-shadow: none;
}

.start-finish-popup .leaflet-popup-close-button {
  display: none;
  visibility: hidden;
}

.start-finish-popup .leaflet-popup-tip-container {
  width: 40px;
  height: 20px;
  position: absolute;
  left: 50%;
  margin-top: -1px;
  margin-left: -20px;
  overflow: hidden;
  pointer-events: none;
}

.start-finish-popup .leaflet-popup-tip {
  background: #d83900 !important;
  box-shadow: 0 6px 30px rgba(0, 0, 0, 0.1);
}

/* 
.leaflet-tooltip-left:before {
  right: 0;
  margin-right: -12px;
  border-left-color: rgba(0, 0, 0, 0.4);
}

.leaflet-tooltip-right:before {
  left: 0;
  margin-left: -12px;
  border-right-color: rgba(0, 0, 0, 0.4);
}

.leaflet-tooltip {
  position: absolute;
  padding: 0px;
  color: #000;
  pointer-events: none;
  border-radius: 7px;
  background: rgba(255, 255, 255, 0.1);
  backdrop-filter: contrast(100%) url("#noise");
  -webkit-backdrop-filter: contrast(100%) blur(10px);
  -moz-backdrop-filter: contrast(100%) blur(10px);
  -ms-backdrop-filter: contrast(100%) blur(10px);
  filter: drop-shadow(5px 5px 16px rgba(255, 255, 255, 1));
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  border: none;
  width: 200px;
  white-space: normal;
  overflow: hidden;
  z-index: 9999;
}

.leaflet-tooltip-content a {
  background-color: #ff4300 !important;
  padding: 5px !important;
  width: 100% !important;
  color: #ffffff !important;
  text-decoration: none !important;
  border: none !important;
  border-radius: 4px !important;
}

.leaflet-tooltip-important {
  color: #ff4300;
}

.leaflet-tooltip-content {
  padding: 15px;
}

.leaflet-tooltip h1,
h2,
h3,
h4,
h5 {
  padding: 0px;
  margin: 0px;
  line-height: 1em;
  padding-top: 5px;
  padding-bottom: 5px;
}

.leaflet-tooltip img {
  width: 100%;
  height: 110px;
  object-fit: cover;
}

.leaflet-tooltip p {
  padding: 0px;
  margin: 0px;
  line-height: 1em;
}

.leaflet-tooltip .info {
  padding-top: 0px;
}

.leaflet-popup {
  padding: 0px;
  margin: 0px;
  background-color: transparent;
  border: none;
  box-shadow: none;
  margin-bottom: 15px;
}

.leaflet-popup-content-wrapper .leaflet-popup-content {
  padding: 0px;
  margin: 0px;
  background-color: transparent;
  border: none;
  box-shadow: none;
}

.leaflet-popup-content-wrapper {
  background: rgba(216, 57, 0, 1);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  border-radius: 5px;
}

.leaflet-popup-tip {
  background: rgba(216, 57, 0, 1);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
}

.popup {
  padding: 10px;
  margin: 0px;
}

.popup h3 {
  text-align: center;
  font-size: 1em;
  line-height: 1em;
  color: white;
  display: block;
  font-weight: normal;
  margin-bottom: 0.25em;
  padding-top: 0px;
  padding-bottom: 0px;
}

.popup h4 {
  text-align: center;
  font-size: 0.75em;
  line-height: 1em;
  color: white;
  padding: 0px;
  margin: 0px;
  display: block;
  font-weight: normal;
  padding-top: 0px;
  padding-bottom: 0px;
}


.popup h5 {
  text-align: center;
  font-size: 0.75em;
  line-height: 0.8em;
  color: white;
  padding: 0px;
  margin: 0px;
  display: block;
  font-weight: bold;
  margin-bottom: 0.5em;
  padding-top: 0px;
  padding-bottom: 0px;
}

.leaflet-tooltip-pane {
  z-index: 9999;
}

@media only screen and (max-width: 600px) {
  .leaflet-left {
    left: 0;
    max-width: 150px;
  }
} */